PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"status": "<string>",
"percent_done": 123,
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"error_message": "<string>",
"multimodal": true
}Describe a file upload
Get the status and metadata of a file uploaded to an assistant.
For guidance and examples, see Manage files.
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"status": "<string>",
"percent_done": 123,
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"error_message": "<string>",
"multimodal": true
}PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
FILE_ID="3c90c3cc-0d44-4b50-8888-8dd25736052a"
# Describe a file.
# To get a signed URL in the response, set `include_url` to `true`.
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME/$FILE_ID?include_url=true" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
Authorizations
Pinecone API Key
Headers
Required date-based version header
Path Parameters
The name of the assistant to upload files to.
The uuid of the file to be described.
Query Parameters
Include the signed URL of the file in the response.
Response
Poll request successful.
The response format for a successful file upload request.
The current state of the uploaded file. Possible values:
Processing: File is being processed (parsed, chunked, embedded)Available: Processing completed successfully; file is ready for useDeleting: Deletion has been initiated but not yet completedProcessingFailed: Processing failed with an error
Note: Once a file is deleted, the API returns 404 Not Found instead of a file object.
The percentage of the file that has been processed
A signed URL that provides temporary, read-only access to the underlying file. Anyone with the link can access the file, so treat it as sensitive data. Expires after a short time.
"https://storage.googleapis.com/bucket/file.pdf?..."
A message describing any error during file processing. Provided only if an error occurs.
Indicates whether the file was processed as multimodal.
Was this page helpful?